def find_first_in_sorted(arr, x):
    lo = 0
    hi = len(arr) - 1

    while lo < hi:
        mid = lo + (hi - lo) // 2

        if x > arr[mid]:
            lo = mid + 1
        else:
            hi = mid

    if lo == len(arr) or arr[lo] != x:
        return -1
    else:
        return lo